#include <bits/stdc++.h>
using namespace std;
int main(){
    string a,b,c;
    cin>>a>>b>>c;
    string s[6]={a+b+c, a+c+b, b+c+a, b+a+c,c+a+b,c+b+a};
    sort(s, s+6);
    cout<<s[5];
    return 0;
}